%bcond_with tests

Name:           python-scikit-build-core
Version:        0.9.2
Release:        %mkrel 1
Summary:        Build backend for CMake based projects
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/scikit-build/scikit-build-core
Source:         %{pypi_source scikit_build_core}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
# Testing dependencies
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc-c++
BuildRequires:  git-core

%description
A next generation Python CMake adapter and Python API for plugins.

%package -n python3-scikit-build-core
Summary:        Build backend for CMake based projects
Group:          Development/Python
%{?python_provide:%python_provide python3-scikit-build-core}
# Testing dependencies
BuildRequires:  python3dist(hatchling)
BuildRequires:  python3dist(hatch-vcs)
BuildRequires:  python3dist(build)
BuildRequires:  python3dist(build[virtualenv])
BuildRequires:  python3dist(cattrs)
BuildRequires:  python3dist(exceptiongroup)
BuildRequires:  python3dist(hatch-fancy-pypi-readme)
BuildRequires:  python3dist(pybind11)
BuildRequires:  python3dist(pyproject-metadata)
BuildRequires:  python3dist(pytest)
# TODO
#BuildRequires:  python3dist(pytest-subprocess)
Requires:       cmake
Recommends:     ninja-build
Requires:       python3dist(pyproject-metadata)
Requires:       python3dist(pathspec)

%description -n python3-scikit-build-core
A next generation Python CMake adapter and Python API for plugins.

%prep
%autosetup -n scikit_build_core-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test,test-meta,test-numpy

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files scikit_build_core

%if %{with tests}
%check
# different hash due to different build environment:
donttest="test_pep517_sdist_hash or test_pep518_sdist"
%pytest \
    -m "not network " \
    -k "not ($donttest)"
%endif

%files -n python3-scikit-build-core -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Fri Apr 26 2024 daviddavid <daviddavid> 0.9.2-1.mga10
+ Revision: 2061164
- new version: 0.9.2

* Sat Apr 20 2024 daviddavid <daviddavid> 0.9.1-1.mga10
+ Revision: 2060151
- new version: 0.9.1
- new version: 0.9.0

* Thu Mar 07 2024 daviddavid <daviddavid> 0.8.2-1.mga10
+ Revision: 2048073
- new version: 0.8.2

* Sun Feb 18 2024 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2042324
- new version: 0.8.1

* Thu Feb 15 2024 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2041430
- new version: 0.8.0

* Thu Dec 14 2023 daviddavid <daviddavid> 0.6.1-2.mga10
+ Revision: 2017966
- rebuild for py3.12

* Thu Nov 09 2023 daviddavid <daviddavid> 0.6.1-1.mga10
+ Revision: 2005350
- new version: 0.6.1

* Fri Nov 03 2023 daviddavid <daviddavid> 0.5.1-2.mga10
+ Revision: 2003847
- change recommended pks for required

* Fri Nov 03 2023 daviddavid <daviddavid> 0.5.1-1.mga10
+ Revision: 2003835
- initial package python-scikit-build-core

